---
theme: teach-rs
class: text-center
highlighter: shiki
lineNumbers: true
info: "Rust - 3.1: Introduction to Multitasking"
drawings:
    persist: false
fonts:
    mono: Fira Mono
layout: cover
title: "Rust - 3.1: Introduction to Multitasking"
---

# Rust programming

Module 3: Multitasking

## Unit 1

Introduction to Multitasking

---

# Learning objectives



---
layout: center
---

<img src="https://substackcdn.com/image/fetch/w_1456,c_limit,f_webp,q_auto:good,fl_progressive:steep/https%3A%2F%2Fsubstack-post-media.s3.amazonaws.com%2Fpublic%2Fimages%2F2059e188-16be-46b6-9f8c-0d571540b29f_789x498.png" class="h-130 rounded shadow" />

---
layout: default
---
# Concurrency vs. Parallelism

| **Concurrency**  | **Parallelism**   |
| -------          | ------------      |
| Interleaves work | Parallelizes work |
| 1 or more cores  | 2 or more cores   |
| <img src="https://tienda.bricogeek.com/6417-thickbox_default/sparkfun-thing-plus-esp32-wroom.jpg" class="h-40 center" /> | <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d3/IBM_Blue_Gene_P_supercomputer.jpg/1920px-IBM_Blue_Gene_P_supercomputer.jpg" class="h-40 center" /> |
| Waiting for events | Waiting for computation |

---

# To do

Issue: [tweedegolf/teach-rs#74](https://github.com/tweedegolf/teach-rs/issues/74)


---

# Summary
